de.vc.io.rtf.parser

## Class ParagraphProperties

- java.lang.Object
- - de.vc.io.rtf.parser.ParagraphProperties

- All Implemented Interfaces:
    java.lang.Cloneable

      public class ParagraphProperties
      extends java.lang.Object
      implements java.lang.Cloneable

  Paragraph properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `alignment`
    `RTFBorder` | `border`
    `int` | `hangingIndent`
    `boolean` | `keepTogether`
    `boolean` | `keepWithNext`
    `boolean` | `lastTableRow`
    `int` | `leftIndent`
    `int` | `listLevel`
    `int` | `ls`
    `boolean` | `pageBreakBefore`
    `int` | `rightIndent`
    `double` | `shading`
    `java.awt.Color` | `shadingBackground`
    `java.awt.Color` | `shadingForeground`
    `int` | `spaceAfter`
    `int` | `spaceBefore`
    `int` | `spaceBetweenLines`
    `boolean` | `spaceBetweenLinesIsMultiple`
    `int` | `tableLevel`
    `int` | `widowOrphanControl`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(ParagraphProperties para, boolean additive)`
    `void` | `consumePageBreakBefore()`
    `ParagraphProperties` | `copy()`
    `int` | `countDefinedTabs()`
    `RTFBorder` | `getBorder()`
    `double` | `getEffectiveLineHeight(double fontSize)`
    `int` | `getLeftMargin()`
    `PositionProperties` | `getPosition()`
    `TabulatorProperties` | `getTab(int idx)`
    `boolean` | `isBorderEqual(ParagraphProperties otherProps)`
    `boolean` | `isInSameFrame(ParagraphProperties props)`
    `TabulatorProperties` | `nextTab(int pos, Measure tabLength)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### alignment

          public int alignment

    - #### hangingIndent

          public int hangingIndent

    - #### leftIndent

          public int leftIndent

    - #### rightIndent

          public int rightIndent

    - #### spaceBefore

          public int spaceBefore

    - #### spaceAfter

          public int spaceAfter

    - #### spaceBetweenLines

          public int spaceBetweenLines

    - #### spaceBetweenLinesIsMultiple

          public boolean spaceBetweenLinesIsMultiple

    - #### pageBreakBefore

          public boolean pageBreakBefore

    - #### ls

          public int ls

    - #### listLevel

          public int listLevel

    - #### widowOrphanControl

          public int widowOrphanControl

    - #### border

          public RTFBorder border

    - #### shading

          public double shading

    - #### shadingBackground

          public java.awt.Color shadingBackground

    - #### shadingForeground

          public java.awt.Color shadingForeground

    - #### tableLevel

          public int tableLevel

    - #### keepTogether

          public boolean keepTogether

    - #### keepWithNext

          public boolean keepWithNext

    - #### lastTableRow

          public boolean lastTableRow

  - ### Method Detail

    - #### copy

          public ParagraphProperties copy()

    - #### apply

          public void apply(ParagraphProperties para,
                   boolean additive)

    - #### consumePageBreakBefore

          public void consumePageBreakBefore()

    - #### countDefinedTabs

          public int countDefinedTabs()

    - #### getTab

          public TabulatorProperties getTab(int idx)

    - #### nextTab

          public TabulatorProperties nextTab(int pos,
                                    Measure tabLength)

    - #### getPosition

          public PositionProperties getPosition()

    - #### getBorder

          public RTFBorder getBorder()

    - #### isBorderEqual

          public boolean isBorderEqual(ParagraphProperties otherProps)

    - #### isInSameFrame

          public boolean isInSameFrame(ParagraphProperties props)

    - #### getLeftMargin

          public int getLeftMargin()

    - #### getEffectiveLineHeight

          public double getEffectiveLineHeight(double fontSize)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.